SpringTransactionManagerFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.spring.transaction.SpringTransactionManagerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.transaction
Class SpringTransactionManagerFactory

    java.lang.Object
      org.mule.module.spring.transaction.SpringTransactionManagerFactory

All Implemented Interfaces:
  TransactionManagerFactory

    public class SpringTransactionManagerFactory

extends Object
implements TransactionManagerFactory

A holder to a transaction manager set via a Spring Application context

Constructor Summary
`SpringTransactionManagerFactory()`

Method Summary
`TransactionManager` | `create()` Creates of obtains the jta transaction manager to use for mule transactions
`void` | `setTransactionManager(TransactionManager transactionManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringTransactionManagerFactory

    public SpringTransactionManagerFactory()

Method Detail

### setTransactionManager

    public void setTransactionManager(TransactionManager transactionManager)

### create

    public TransactionManager create()
                              throws Exception

  Description copied from interface: `TransactionManagerFactory`
  Creates of obtains the jta transaction manager to use for mule transactions

  Specified by:
    `create` in interface `TransactionManagerFactory`
  Returns:
    the transaction manager to use
  Throws:
    `Exception` - if the transaction manager cannot be located or created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.